<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\TeilnehmerInfo\TeilnehmerDetails;

abstract class TeilnehmerDetailsController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getRequestObj()
  {
    $request = new TeilnehmerDetailsRequest();
    $request->tnr = \GetOperations::getVarValue('tnr');
    $request->tguid = \GetOperations::getVarValue('tguid', null);
    $request->referer = \GetOperations::getVarValue('referer');
    $request->refererLabel = \GetOperations::getVarValue('refererLabel');
    $request->newTnStatusCode = \SessionOperations::getVarValueWTIntern('newTnStatusCode');
    $request->newTnWrongFields = \SessionOperations::getVarValueWTIntern('newTnWrongFields');

    return $request;
  }

  
  abstract protected function getToolId();
}